<#include "headerTop.ftl">


<#if SAMLResponse?? >
	<#if samlError?? >
		<body onload="setTimeout('document.forms[0].submit()', 5000)">
	<#else>
		<body onload="document.forms[0].submit()">
	</#if>
<#else>
	<body>
</#if>

<div align="center">
<div id="main" align="center">
<img src="banner.gif" alt="banner" />
<div id="contents" align="left">

	<div style="font-size: x-small;">
	Welcome to the UVOS VO authentication module created in the Chemomentum project.
	</div>

<h2> UVOS VO authentication point </h2>

<b>You have successfuly authenticated at VO system</b> as: ${loggedAs}


<#if SAMLResponse?? >
	<#if samlError?? >

		<div class="error">
		Though your authentication was successful you will not be logged. Most likely 
		it is because the request issued by the service provider was invalid.
		<br/><br/>
		The error is: ${samlError}
		</div>
		You will be automatically redirected in 5s back to the service which requested 
		authentication.
	</#if>


	<noscript>
		<p>
		<strong>Note:</strong> Since your browser does not support JavaScript,
		you must press the Continue button once to proceed.
		</p>
	</noscript>


	<form action="${samlService}" method="post">
	<div>

	<#if RelayState??>
		<input type="hidden" name="RelayState" value="${RelayState}"/>
	</#if>

	<input type="hidden" name="SAMLResponse" value="${SAMLResponse}"/>
	</div>

	<noscript>
		<div>
		<input type="submit" value="Continue"/>
		</div>
	</noscript>

	</form>
</#if>

<#include "footer.ftl">