<#include "header.ftl">

<h2> UVOS VO authentication point </h2>

<div class="info">
Information:
<div class="infoVal">
<#if operationMode?? && operationMode = 'SAML' >
		Your browser was redirected here in order to authenticate you, from the
		service: <br/><br/>
		<i>${samlService}</i><br/><br/>
		After your successful authentication the information
		about your identity will be sent to this service, and your browser will 
		be redirected to it again. 
		The format in which your identity will be sent to the above service will be:<br/><br/>
		<i>${requestedFormat}</i><br/><br/>
		Note that in any case your sensitive data as your password 
		will not be send anywhere.
<#else>
		It is detected that this form was invoked manually (e.g. by entering its URL
		into a web browser). It is not the normal way to use it! It is usually automatically
		invoked by other web servers. However you can still use this form to simply test 
		if you can authenticate. After trying to log in you will see if you provided a 
		correct data. Absolutely nothing else will happen.
</#if>
</div>
</div>

<#if loginError?? >
<div class="error">
Login attempt
	<#if loginAttempt?? >
 no ${loginAttempt}
	</#if>
was unsuccessful: ${loginError}.
</div>
</#if>

Please provide your login data

<form action="VOauthentication.do" method="post">
	<div style="text-align: left; border-style: outset; margin: 5px; padding: 10px;">

	<#if tlsAuthedDN??>
			<div class="input">
			<input type="radio" name="loginMode" value="TLS" checked="checked" /> 
			Use browser certificate to login
			</div>
			<div class="desc">
			If you want, you can try to login with your browser certificate. 
			Your browser certificate is issued for: <br/>
			<b>	${tlsAuthedDN} </b>
			</div>
			
			<div style="height: 20px;" ></div>
			
			<div class="input">
			<input type="radio" name="loginMode" value="email"/> 
			Login with email and password
			</div>
	<#else>
		<input type="hidden" name="loginMode" value="email"/>
	</#if>

	<table border="0" style="margin-left: 40px;" >
	<tr>
	<td>Email address:</td>
	<td><input type="text" name="email" size="30" maxlength="128" /></td>
	</tr>
	<tr>
	<td>Password:</td> 
	<td><input type="password" name="password" size="30" maxlength="128" /></td>
	</tr>
	</table>
	
	</div>
	<div style="text-align: center; margin-top: 10px;">
		<input type="submit" value="Login" style="padding-left: 25px; padding-right: 25px"/>
	</div>
</form>



<#include "footer.ftl">